summaryrefslogtreecommitdiffstats
path: root/third_party/rust/libsqlite3-sys/upgrade.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 19:33:14 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 19:33:14 +0000
commit36d22d82aa202bb199967e9512281e9a53db42c9 (patch)
tree105e8c98ddea1c1e4784a60a5a6410fa416be2de /third_party/rust/libsqlite3-sys/upgrade.sh
parentInitial commit. (diff)
downloadfirefox-esr-upstream.tar.xz
firefox-esr-upstream.zip
Adding upstream version 115.7.0esr.upstream/115.7.0esrupstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'third_party/rust/libsqlite3-sys/upgrade.sh')
-rwxr-xr-xthird_party/rust/libsqlite3-sys/upgrade.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/third_party/rust/libsqlite3-sys/upgrade.sh b/third_party/rust/libsqlite3-sys/upgrade.sh
new file mode 100755
index 0000000000..69e8c8f988
--- /dev/null
+++ b/third_party/rust/libsqlite3-sys/upgrade.sh
@@ -0,0 +1,31 @@
+#!/bin/sh -e
+
+SCRIPT_DIR=$(cd "$(dirname "$0")" && pwd)
+echo "$SCRIPT_DIR"
+cd "$SCRIPT_DIR" || { echo "fatal error" >&2; exit 1; }
+cargo clean
+mkdir -p "$SCRIPT_DIR/../target" "$SCRIPT_DIR/sqlite3"
+export SQLITE3_LIB_DIR="$SCRIPT_DIR/sqlite3"
+export SQLITE3_INCLUDE_DIR="$SQLITE3_LIB_DIR"
+
+# Download and extract amalgamation
+SQLITE=sqlite-amalgamation-3390200
+curl -O https://sqlite.org/2022/$SQLITE.zip
+unzip -p "$SQLITE.zip" "$SQLITE/sqlite3.c" > "$SQLITE3_LIB_DIR/sqlite3.c"
+unzip -p "$SQLITE.zip" "$SQLITE/sqlite3.h" > "$SQLITE3_LIB_DIR/sqlite3.h"
+unzip -p "$SQLITE.zip" "$SQLITE/sqlite3ext.h" > "$SQLITE3_LIB_DIR/sqlite3ext.h"
+rm -f "$SQLITE.zip"
+
+# Regenerate bindgen file for sqlite3
+rm -f "$SQLITE3_LIB_DIR/bindgen_bundled_version.rs"
+cargo update
+# Just to make sure there is only one bindgen.rs file in target dir
+find "$SCRIPT_DIR/../target" -type f -name bindgen.rs -exec rm {} \;
+env LIBSQLITE3_SYS_BUNDLING=1 cargo build --features "buildtime_bindgen session" --no-default-features
+find "$SCRIPT_DIR/../target" -type f -name bindgen.rs -exec mv {} "$SQLITE3_LIB_DIR/bindgen_bundled_version.rs" \;
+
+# Sanity checks
+cd "$SCRIPT_DIR/.." || { echo "fatal error" >&2; exit 1; }
+cargo update
+cargo test --features "backup blob chrono functions limits load_extension serde_json trace vtab bundled"
+printf ' \e[35;1mFinished\e[0m bundled sqlite3 tests\n'